internet Joomla 1.5.26 poradnik Wordpress

Instalacja Cookies na blogu.

Od jakiegoś czasu każdy webmaster ma obowiązek informowania swoich czytelników-uzytkowników o tym że strona wykorzystuje  pliki Cookies, utrudnienia zaczynają się wtedy jeśli posiadamy zainstalowaną Joomla 1.5.23 lub 1.5.26 trzeba się nieźle natrudzić aby znaleźć taki dodatek który jest w języku polskim. Do tak archaicznego CMS który nadal jest na topie coraz to trudniej znaleźć dobre moduły czy pluginy.

Plugin Eu-Privacy Directive do joomla 1.5.23 lub 1.5.26 można pobrać z tego linku:  Eu-Privacy Directive

Lub jeszcze dostępny pod linkiem producenta: Eu-Privacy Directive

 

Zauważyłem że w wersji oryginalnej jest problem z językiem polskim i dlatego musimy zmodyfikować kod PHP:

Logujemy się do serwera FTP na przykład programem Filezilla i szukamy folderu: plugins/system i modyfikujemy plik  eprivacy.php

 

szukamy w pliku:

function _requestAccept()

} else {
$uri.=’?eprivacy=1′;
}
$msg = ‚<h2>’.JText::_(‚PLG_SYS_EPRIVACY_MESSAGE_TITLE’).'</h2>’;
$msg.= ‚<p>’.JText::_(‚PLG_SYS_EPRIVACY_MESSAGE’).'</p>’;

Zmieniamy na:

$msg.= ‚<p>’.JText::_(‚PLG_SYS_EPRIVACY_MESSAGE’).'</p>’;

na

$msg.= ‚<p>’.JText::_(‚Nasza strona internetowa wykorzystuje pliki Cookies.’).'</p>’;

Natomiast poniżej lini:

$msg.= ‚<p><a href=”http://eur-lex.europa.eu/LexUriServ/LexUriServ.do?uri=CELEX:32002L0058:’.$linklang.’:NOT” onclick=”window.open(this.href);return false;”>’.JText::_(‚Zobacz politykę Cookies ENG’).'</a></p>’;

Dopisujemy:
$msg.= ‚<p><a href=”http://naszstrona.pl/polityka-cookies.html” onclick=”window.open(this.href);return false;”>’.JText::_(‚Zobacz politykę Cookies naszego portalu’).'</a></p>’;

i już mamy ustawiony prawidłowo powiadomienie o Cookies. 🙂

W przypadku WordPressa i najnowszej Joomli jest to znacznie prostsze, i  z pewnością nie trzeba robić takich zmian.

np. w WordPress mamy:

Cookie Law Info, czy też cookie-cat i kilkanaście innych.

 

 

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *

CommentLuv badge